package domain

type AlibabaHmMarketingItemdiscountQueryactivityCommonActivityParam struct {
	/*
	   五道口活动id     */
	ActivityId *int64 `json:"activity_id,omitempty" `

	/*
	   商家活动id     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   是否自定义渠道同步 defalutValue:false    */
	ByChannel *bool `json:"by_channel,omitempty" `

	/*
	   自定义同步的渠道配置     */
	ChannelConfigList *[]AlibabaHmMarketingItemdiscountQueryactivityChannelConfig `json:"channel_config_list,omitempty" `
}

func (s *AlibabaHmMarketingItemdiscountQueryactivityCommonActivityParam) SetActivityId(v int64) *AlibabaHmMarketingItemdiscountQueryactivityCommonActivityParam {
	s.ActivityId = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountQueryactivityCommonActivityParam) SetOutActId(v string) *AlibabaHmMarketingItemdiscountQueryactivityCommonActivityParam {
	s.OutActId = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountQueryactivityCommonActivityParam) SetByChannel(v bool) *AlibabaHmMarketingItemdiscountQueryactivityCommonActivityParam {
	s.ByChannel = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountQueryactivityCommonActivityParam) SetChannelConfigList(v []AlibabaHmMarketingItemdiscountQueryactivityChannelConfig) *AlibabaHmMarketingItemdiscountQueryactivityCommonActivityParam {
	s.ChannelConfigList = &v
	return s
}
